@import "{}/imports/ui/stylesheets/variables/index";

.events-map-location-map .course-event-list .event-compact-wrap {
  padding: 0 0 10px;
  width: 100% !important;
}

.events-map-location-map .leaflet-popup-content {
  max-height: 350px;
  overflow-y: auto;
  padding-bottom: 10px;
  padding-right: 10px;
  width: 301px !important;
}

.leaflet-attribution-flag {
  display: none !important;
}

.leaflet-container .leaflet-marker-icon {
  background: none;
  border: 0;

  .fa-regular,
  .fa-brands,
  .fa-solid {
    font-size: 30px;
  }
}

.leaflet-popup-content .event-compact {
  font-size: var(--bs-body-font-size);
}

.events-map-location-map,
.events-map-location-map > .leaflet-container {
  height: 100%;
  width: 100%;
}

/* 
  backwards compatibility: a Blaze component to a React component for. 
  Can be removed after complet migration.
*/
.events-map-location-map > div > .leaflet-container,
.events-map-location-map > div {
  height: 100%;
  width: 100%;
}
